Name:           maven-site-plugin
Version:        3.1
Release:        %mkrel 3
Summary:        Maven Site Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-site-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         0001-Set-source-encoding-property-to-UTF8.patch
Patch1:         0002-Port-to-jetty-8.x.patch

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: maven
BuildRequires: maven-artifact-manager
BuildRequires: maven-plugin-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-doxia
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-doxia-tools
BuildRequires: maven-project
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-shade-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-wagon
BuildRequires: maven-reporting-exec
BuildRequires: plexus-containers-component-metadata
BuildRequires: jetty >= 8.1.0-0.1.rc5
BuildRequires: servlet3
BuildRequires: plexus-archiver
BuildRequires: plexus-containers-container-default
BuildRequires: plexus-i18n
BuildRequires: plexus-velocity
BuildRequires: plexus-utils
BuildRequires: jetty-parent

Requires: maven
Requires: jetty >= 8.1.0-0.1.rc5
Requires: java
Requires: jpackage-utils
Requires: maven-artifact-manager
Requires: maven-doxia-tools
Requires: maven-project
Requires: maven-shared-reporting-api
Requires: maven-wagon
Requires: maven-reporting-exec
Requires: servlet3
Requires: plexus-archiver
Requires: plexus-containers-container-default
Requires: plexus-i18n
Requires: plexus-velocity
Requires: plexus-utils
Requires: jetty-parent

Provides:       maven2-plugin-site = %{version}-%{release}
Obsoletes:      maven2-plugin-site <= 0:2.0.8

%description
The Maven Site Plugin is a plugin that generates a site for the current project.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# skipping tests because we need to fix them first for jetty update
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%doc LICENSE NOTICE
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE NOTICE
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.1-3.mga3
+ Revision: 359784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 3.1-2.mga3
+ Revision: 292676
- Clean spec file

* Wed Jul 04 2012 dmorgan <dmorgan> 3.1-1.mga3
+ Revision: 267195
- New version 3.1

* Sat Dec 10 2011 gil <gil> 3.0-1.mga2
+ Revision: 180395
- edit depmap file
- fix build added depmap file. added new BR

  + dmorgan <dmorgan>
    - Add shade plugin and junit4 provider BR
    - BR plexus-component-metadata artifact.
    - Update to upstream 3.0 release.
    - Removal of plexus-maven-plugin dependency (not needed)
    - Add several missing things to (Build)Requires
        - Fix build for maven3-only buildroot

* Wed Jul 20 2011 dmorgan <dmorgan> 2.3-1.mga2
+ Revision: 127096
- New version 2.3

* Thu Apr 28 2011 dmorgan <dmorgan> 2.2-3.mga1
+ Revision: 92932
- Rebuild after bootstrapping
- imported package maven-site-plugin

